Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.impl.handler
Class ContinueInsecureMessageHandler

    java.lang.Object
      be.fedict.eid.applet.service.impl.handler.ContinueInsecureMessageHandler

All Implemented Interfaces:
  MessageHandler<be.fedict.eid.applet.shared.ContinueInsecureMessage>

    @HandlesMessage(value=be.fedict.eid.applet.shared.ContinueInsecureMessage.class)
    public class ContinueInsecureMessageHandler

extends Object
implements MessageHandler<be.fedict.eid.applet.shared.ContinueInsecureMessage>

Handler for continue insecure message.

Author:
  Frank Cornelis

Constructor Summary
`ContinueInsecureMessageHandler()`

Method Summary
`Object` | `handleMessage(be.fedict.eid.applet.shared.ContinueInsecureMessage message, Map<String,String> httpHeaders, HttpServletRequest request, HttpSession session)` Handles the given message.
`void` | `init(ServletConfig config)` Initializes this message handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContinueInsecureMessageHandler

    public ContinueInsecureMessageHandler()

Method Detail

### handleMessage

    public Object handleMessage(be.fedict.eid.applet.shared.ContinueInsecureMessage message,
                                Map<String,String> httpHeaders,
                                HttpServletRequest request,
                                HttpSession session)
                         throws ServletException

  Description copied from interface: `MessageHandler`
  Handles the given message. Returns the response message to send back, this can be `null`.

  Specified by:
    `handleMessage` in interface `MessageHandler<be.fedict.eid.applet.shared.ContinueInsecureMessage>`
    `request` - the request from which the body already may be consumed.
  Returns:
    the optional response message to send back.
  Throws:
    `ServletException`

### init

    public void init(ServletConfig config)
              throws ServletException

  Description copied from interface: `MessageHandler`
  Initializes this message handler.

  Specified by:
    `init` in interface `MessageHandler<be.fedict.eid.applet.shared.ContinueInsecureMessage>`
  Throws:
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.